newparam(:force, :boolean => true, :parent => Puppet::Parameter::Boolean) do
  include EasyType

  desc <<-EOD
    Delete all subentries when deleting a tree. Be careful. When this value is set to `true`, alle entries below specfied entry will be
    deleted too. Here is an example on how to use this:

        ldap_principal { 'ldap_server:ou=muppetshow,dc=example,dc=org':
          ...
          force      => true,
          ...
        }

    When the `force` parameter, is not set and the container contains leaf entries, Puppet will issue an error
    saying so. If the parameter `force` is set to `true`, the container including all contents will be recursively
    removed.

  EOD

  data_type("Optional[Boolean]")

  newvalues(true, false)
  defaultto false
end
