newparam(:purge, :boolean => true, :parent => Puppet::Parameter::Boolean) do
  include EasyType

  desc <<-EOD
    When you set this parameter to `true`, entries that are in that in this container, but
    are not in the manifest, are automaticaly removed.

    This parameter is valid on a container entry. It doesn't do anything on regular ldap
    entries.

    Here is en example:

        ldap_principal { 'ldap_server:ou=muppetshow,dc=example,dc=org':
          ...
          purge      => true,
          ...
        }

  EOD

  data_type("Optional[Boolean]")

  defaultto false
end
