require 'pathname'
$LOAD_PATH.unshift(Pathname.new(__FILE__).dirname.parent.parent)
$LOAD_PATH.unshift(Pathname.new(__FILE__).dirname.parent.parent.parent.parent + 'easy_type' + 'lib')
require 'puppet/parameter/boolean'
require 'easy_type'
$LOAD_PATH.unshift("#{File.dirname(__FILE__)}/../..")

# Docs
module Puppet
  Type.newtype(:ldap_server) do
    include EasyType::YamlType

    config_file '/etc/ldap_server.yaml'

    def self.module_name
      'ldap_principal'
    end

    desc <<-EOD
      This resource allows you to register an LDAP server. Here is an example on how to use this:

          ldap_server { 'my_ldap_server':
            address           => '192.168.59.10:215',
            user_dn           => 'cn=admin,dc=example,dc=org',
            password          => 'welcome1',
            use_ssl           => true,
            verify_ssl        => false,
          }

      The ldap_principal type uses this information to connect to the server.

    EOD

    ensurable
    parameter :name
    property :address
    property :port
    property :user_dn
    property :password
    property :base
    property :verify_ssl
    property :use_ssl
    property :transform
  end
end
