newproperty(:use_ssl) do
  include EasyType::YamlProperty

  desc <<-EOD
    Use an SSL connection to the LDAP server.

    Here is an example on how to use this.

        ldap_server{my_ldap_server:
          ...
          use_ssl => 'yes',
          ...
        }
  EOD

  data_type("Optional[Enum['absent','yes','no']]")

  newvalues(:yes, :no)
  defaultto :yes
end
