newproperty(:verify_ssl) do
  include EasyType::YamlProperty

  desc <<-EOD
    Verify the SSL connection. e.g. Check if it has a valid SSL key.

    here is an example on how to use this:

        ldap_server{my_ldap_server:
          ...
          verify_ssl => 'yes',
          ...
        }

  EOD

  data_type("Optional[Enum['absent','yes','no']]")

  newvalues(:yes, :no)
  defaultto :yes
end
